hypercore-errors

1.2.0 • Public • Published

hypercore-errors

Hypercore errors

npm i hypercore-errors

Usage

const { BLOCK_NOT_AVAILABLE } = require('hypercore-errors')

throw BLOCK_NOT_AVAILABLE()

List

  • BAD_ARGUMENT
  • STORAGE_EMPTY
  • STORAGE_CONFLICT
  • INVALID_SIGNATURE
  • INVALID_CAPABILITY
  • INVALID_CHECKSUM
  • INVALID_OPERATION
  • INVALID_PROOF
  • BLOCK_NOT_AVAILABLE
  • SNAPSHOT_NOT_AVAILABLE
  • REQUEST_CANCELLED
  • REQUEST_TIMEOUT
  • SESSION_NOT_WRITABLE
  • SESSION_CLOSED
  • BATCH_UNFLUSHED
  • BATCH_ALREADY_EXISTS
  • BATCH_ALREADY_FLUSHED
  • OPLOG_CORRUPT
  • OPLOG_HEADER_OVERFLOW
  • INVALID_OPLOG_VERSION
  • WRITE_FAILED

License

Apache-2.0

Readme

Keywords

none

Package Sidebar

Install

npm i hypercore-errors

Weekly Downloads

990

Version

1.2.0

License

Apache-2.0

Unpacked Size

16.2 kB

Total Files

4

Last publish

Collaborators

  • mafintosh
  • kasperisager
  • lukks